curl --location --request PATCH 'https://api.ordermesh.io/catalog/v1/merchantCatalog' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": "681abd18c61bccfab89bc63e",
"name": "Updated Catalog Name",
"description": "This is an updated description for the merchant catalog.",
"isEnabled": true,
"assignedToSubAccountIds": [
"7a2b1d33-c5ef-4a8b-9c7d-5e6f7a8b9c12",
"15115a31-c5ef-4a8b-9c7d-5e6f7a8b9c12",
"8b2b1d43-c5ef-4a8b-9c7d-5e6f7a8b9c12"
]
}'{
"catalog": {
"id": "catalog123",
"ownerMerchantId": "merchant123",
"name": "Updated Catalog Name",
"description": "This is an updated description for the merchant catalog.",
"isEnabled": true,
"assignedToSubAccountIds": [
"subAccount1",
"subAccount2",
"subAccount3"
]
}
}